Results 1 to 4 of 4

Thread: Can't run PTS 1.2 modules

Hybrid View

  1. #1
    Join Date
    Sep 2008
    Posts
    55

    Default Can't run PTS 1.2 modules

    Hi,

    I installed PTS 1.2 on Kubuntu Gutsy (7.10) using the .deb installer
    (dpkg -i [PTS].deb)

    It appeared to install ok and I was able to launch it from the cli (terminal), and select a module I wanted to see, Unigine Tropics. It downloaded and installed it. When I tried to run it, however, it showed numerous missing dependencies.

    So I manually (through synaptic) search for, found, and installed the missing dependencies. PTS will still not run unigine tropics, however.

    So just to see if PTS will run anything, I installed the opengl-demo module and tried to run that. Same thing: slew of missing dependencies, manually installed 'em all, still won't run

    Here is the result of phoronix-test-suite system-info:
    Code:
    ====================================
    Phoronix Test Suite v1.2.2 (MALVIK)
    System Information
    ====================================
    
    Hardware:
    Processor: AMD Athlon Dual Core 4850e @ 2.50GHz (Total Cores: 2), Motherboard: MSI CO. LTD MS-7312, Chipset: VIA K8M800 Host Bridge, System Memory: 2026MB, Disk Space: 23GB, Graphics: ATI RV350 AS, Screen Resolution: 1280x1024
    
    Software:
    OS: Ubuntu 7.10, Kernel: 2.6.22-15-generic (i686), X.Org Server: 1.3.0, OpenGL: 2.1.7412 (fglrx), Compiler: GCC 4.1.3, File-System: ext2/ext3
    Incidentally my grafics card is a Sapphire ATI 9550 128MB AGP, and I'm using the Catalyst 8.47.3 drivers. Everything looks kosher in glxinfo, and I'm getting ~1500 fps in glxgears.

    Can anyone tell me what is wrong? There seems to be a distinct lack of easily-accessible documentation for this software. The Man pages tell next to nothing except a handful of commands. Nowwhere can I find any info on minimum system requirements, trouble-shooting etc.

    Thanks for any help!

  2. #2

    Default

    Do other tests run? Such as phoronix-test-suite benchmark warsow...

    If Unigine runs, don't expect more than 5 FPS. I am not sure why you would have any problems running Unigine on Ubuntu. I do without any problems, etc. Can you post what dependencies it has said it's missing? It should install everything for you.

  3. #3
    Join Date
    Apr 2009
    Posts
    565

    Default

    Quote Originally Posted by Michael View Post
    Do other tests run? Such as phoronix-test-suite benchmark warsow...

    If Unigine runs, don't expect more than 5 FPS. I am not sure why you would have any problems running Unigine on Ubuntu. I do without any problems, etc. Can you post what dependencies it has said it's missing? It should install everything for you.
    Unigine is also failing here (PTS 1.8). This is the error:

    Code:
    Engine::init(): clear video settings for "GeForce2 MX 100/200 AGP 96.43.09"
    
    Unigine fatal error
    GLRender::require_extension(): required extension GL_ARB_occlusion_query is not supported
    
    Loading "/home/lmilano/.phoronix-test-suite/installed-tests/unigine-tropics/Unigine_Tropics-1.1/bin/../data/unigine.cfg"...
    Loading "libGL.so.1"...
    More detailed info below. Many thanks for any pointers.

    Code:
    ===================================
    Unigine Tropics (Run 3 of 3)        
    ====================================
    
    Engine::init(): clear video settings for "GeForce2 MX 100/200 AGP 96.43.09"
    
    Unigine fatal error
    GLRender::require_extension(): required extension GL_ARB_occlusion_query is not supported
    
    Loading "/home/lmilano/.phoronix-test-suite/installed-tests/unigine-tropics/Unigine_Tropics-1.1/bin/../data/unigine.cfg"...
    Loading "libGL.so.1"...
    Set 1280x1024 fullscreen video mode
    Set 1.00 gamma value
    Unigine engine http://unigine.com/
    Binary: Linux 32bit GCC 4.1.2 Release Oct 29 2008
    App path:  /home/lmilano/.phoronix-test-suite/installed-tests/unigine-tropics/Unigine_Tropics-1.1/bin/
    Data path: /home/lmilano/.phoronix-test-suite/installed-tests/unigine-tropics/Unigine_Tropics-1.1/data/
    ---- FileSystem ----
    1 files
    /home/lmilano/.phoronix-test-suite/installed-tests/unigine-tropics/Unigine_Tropics-1.1/data/core.ung 382 files
    /home/lmilano/.phoronix-test-suite/installed-tests/unigine-tropics/Unigine_Tropics-1.1/data/demos/tropics.zip 187 files
    
    ---- System ----
    System: Linux 2.6.27-11-generic i686
    CPU: AMD Athlon(tm) XP 2400+ 2000MHz MMX+ 3DNow!+ SSE
    GPU: GeForce2 MX 100/200 AGP 96.43.09
    System memory: 755 Mb
    Video memory:  32 Mb
    
    ---- MathLib ----
    MathLib set SSE SIMD processor
    
    ---- Sound ----
    NULL
    
    ---- Render ----
    Renderer: NVIDIA NV10 32Mb
    OpenGL vendor:   NVIDIA Corporation
    OpenGL renderer: GeForce2 MX/AGP/SSE/3DNOW!
    OpenGL version:  1.5.8 NVIDIA 96.43.09
    Found GL_EXT_draw_range_elements
    Found GL_ARB_vertex_buffer_object
    Shutdown

  4. #4
    Join Date
    Apr 2009
    Posts
    565

    Default

    Apparently,

    older cards like mine miss that "GL_ARB_occlusion_query" extension:

    http://www.nvnews.net/vbulletin/arch.../t-100470.html

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •